function bound_int = zebra_boundary_intersections_fix_lines_r1(XMAX, YMAX, C_cent, C_point, mycolor_lineB, mycolor_parallel, plot_on)
    hold on
    %outer_bounds = 1; %lines extended outside boundary
    instep = 1;
    %slope = @(line) (line(2,2) - line(1,2))/(line(2,1) - line(1,1));
    %axis_intercept = @(line,m) line(1,2) - m*line(1,1);
    
    
    p  = polyfit([C_cent(:,1) C_point(:,1)], [C_cent(:,2) C_point(:,2)], 1)

    %lineB = [C_cent(:,1), C_cent(:,2); C_cent(:,2)*v_line(:,2), C_cent(:,1)*v_line(:,1)];
    
    
    %slope_B = slope(lineB)
    slope_B = p(:,1)
    intercept_B = p(:,2)
    %intercept_B = axis_intercept(lineB, slope_B)
    for n=1:XMAX
        x2(n) = n;
        y2(n) = slope_B * n + intercept_B;
    end
    if plot_on
        plot(x2,y2, mycolor_lineB)
    end;
    dy2 = diff(y2);
    dx2 = diff(x2);
    
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% top %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    yIntersect = 0+instep; %top
    if plot_on
        for n=1:XMAX
            x1(n) = n;
            y1(n) = yIntersect;
        end
        plot(x1,y1, mycolor_parallel)
    end;
    i=find(diff(y2 > yIntersect))
    if isempty(i) == 0
        xIntersect = x2(i)+dx2(i)*(yIntersect-y2(i))/dy2(i)
        top_exist = 1
    else
        xIntersect = NaN
        top_exist = 0
    end
    %bound_int x y e
    bound_int(1,1) = xIntersect;
    bound_int(2,1) = yIntersect;
    bound_int(3,1) = top_exist;


    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% bottom %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    yIntersect = XMAX-instep; %bottom
    if plot_on
        for n=1:XMAX
            x1(n) = n;
            y1(n) = yIntersect;
        end
        plot(x1,y1, mycolor_parallel)
    end;
    i=find(diff(y2 > yIntersect))
    if isempty(i) == 0
        xIntersect = x2(i)+dx2(i)*(yIntersect-y2(i))/dy2(i)
        bottom_exist = 1
    else
        xIntersect = NaN
        bottom_exist = 0
    end
    %bound_int x y e
    bound_int(1,2) = xIntersect;
    bound_int(2,2) = yIntersect;
    bound_int(3,2) = bottom_exist;
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% left %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    xIntersect = 0 + instep; %left
    if plot_on
        for n=1:YMAX
            x1(n) = xIntersect;
            y1(n) = n;
        end
        plot(x1,y1, mycolor_parallel)
    end;
    i=find(diff(x2 > xIntersect))
    if isempty(i) == 0
        yIntersect = y2(i)+dy2(i)*(xIntersect-x2(i))/dx2(i)
        left_exist = 1
    else
        yIntersect = NaN
        left_exist = 0
    end
    %bound_int x y e
    bound_int(1,3) = xIntersect;
    bound_int(2,3) = yIntersect;
    bound_int(3,3) = left_exist;
    
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% right %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    xIntersect = XMAX - instep; %right
    if plot_on
        for n=1:YMAX
            x1(n) = xIntersect;
            y1(n) = n;
        end
        plot(x1,y1, mycolor_parallel)
    end;
    i=find(diff(x2 > xIntersect));
    if isempty(i) == 0
        yIntersect = y2(i)+dy2(i)*(xIntersect-x2(i))/dx2(i)
        right_exist = 1
    else
        yIntersect = NaN
        right_exist = 0
    end
    %bound_int x y e
    bound_int(1,4) = xIntersect;
    bound_int(2,4) = yIntersect;
    bound_int(3,4) = right_exist;

    
    
    
    axis([0 XMAX 0 YMAX])
end