function [C_bound] = zebra_find_rel_bound_r1(C_hb, set_bounds)
    [m index_bound_1] = max(set_bounds(:,1));
    [m index_bound_2] = min(set_bounds(:,1));
    C_bound_1(:,1) = set_bounds(index_bound_1,1);
    C_bound_1(:,2) = set_bounds(index_bound_1,2);
    C_bound_2(:,1) = set_bounds(index_bound_2,1);
    C_bound_2(:,2) = set_bounds(index_bound_2,2);   
    D_bound_1  = sqrt(sum(((C_bound_1) - C_hb) .^ 2));
    D_bound_2  = sqrt(sum(((C_bound_2) - C_hb) .^ 2));
    if D_bound_1 < D_bound_2;
        C_bound = C_bound_1;
    else
        C_bound = C_bound_2;
    end;
end

